<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Deprecated List (Apache Commons DBCP 2.8.0 API)</title>
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Deprecated List (Apache Commons DBCP 2.8.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li class="navBarCell1Rev">Deprecated</li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?deprecated-list.html" target="_top">Frames</a></li>
<li><a href="deprecated-list.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Deprecated API" class="title">Deprecated API</h1>
<h2 title="Contents">Contents</h2>
<ul>
<li><a href="#class">Deprecated Classes</a></li>
<li><a href="#method">Deprecated Methods</a></li>
<li><a href="#constructor">Deprecated Constructors</a></li>
</ul>
</div>
<div class="contentContainer"><a name="class">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<table class="deprecatedSummary" border="0" cellpadding="3" cellspacing="0" summary="Deprecated Classes table, listing deprecated classes, and an explanation">
<caption><span>Deprecated Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/cpdsadapter/PStmtKeyCPDS.html" title="class in org.apache.commons.dbcp2.cpdsadapter">org.apache.commons.dbcp2.cpdsadapter.PStmtKeyCPDS</a>
<div class="block"><span class="deprecationComment">Use <a href="org/apache/commons/dbcp2/PStmtKey.html" title="class in org.apache.commons.dbcp2"><code>PStmtKey</code></a>.</span></div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="method">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<table class="deprecatedSummary" border="0" cellpadding="3" cellspacing="0" summary="Deprecated Methods table, listing deprecated methods, and an explanation">
<caption><span>Deprecated Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/Utils.html#closeQuietly-java.sql.Connection-">org.apache.commons.dbcp2.Utils.closeQuietly(Connection)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/apache/commons/dbcp2/Utils.html#closeQuietly-java.lang.AutoCloseable-"><code>closeQuietly(AutoCloseable)</code></a>.</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/Utils.html#closeQuietly-java.sql.ResultSet-">org.apache.commons.dbcp2.Utils.closeQuietly(ResultSet)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/apache/commons/dbcp2/Utils.html#closeQuietly-java.lang.AutoCloseable-"><code>closeQuietly(AutoCloseable)</code></a>.</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/Utils.html#closeQuietly-java.sql.Statement-">org.apache.commons.dbcp2.Utils.closeQuietly(Statement)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/apache/commons/dbcp2/Utils.html#closeQuietly-java.lang.AutoCloseable-"><code>closeQuietly(AutoCloseable)</code></a>.</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/DelegatingCallableStatement.html#getBigDecimal-int-int-">org.apache.commons.dbcp2.DelegatingCallableStatement.getBigDecimal(int, int)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/apache/commons/dbcp2/DelegatingCallableStatement.html#getBigDecimal-int-"><code>DelegatingCallableStatement.getBigDecimal(int)</code></a> or <a href="org/apache/commons/dbcp2/DelegatingCallableStatement.html#getBigDecimal-java.lang.String-"><code>DelegatingCallableStatement.getBigDecimal(String)</code></a></span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/DelegatingResultSet.html#getBigDecimal-int-int-">org.apache.commons.dbcp2.DelegatingResultSet.getBigDecimal(int, int)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/apache/commons/dbcp2/DelegatingResultSet.html#getBigDecimal-int-"><code>DelegatingResultSet.getBigDecimal(int)</code></a></span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/DelegatingResultSet.html#getBigDecimal-java.lang.String-int-">org.apache.commons.dbcp2.DelegatingResultSet.getBigDecimal(String, int)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/apache/commons/dbcp2/DelegatingResultSet.html#getBigDecimal-java.lang.String-"><code>DelegatingResultSet.getBigDecimal(String)</code></a></span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/BasicDataSource.html#getEnableAutoCommitOnReturn--">org.apache.commons.dbcp2.BasicDataSource.getEnableAutoCommitOnReturn()</a>
<div class="block"><span class="deprecationComment">Use <a href="org/apache/commons/dbcp2/BasicDataSource.html#getAutoCommitOnReturn--"><code>BasicDataSource.getAutoCommitOnReturn()</code></a>.</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/DelegatingResultSet.html#getUnicodeStream-int-">org.apache.commons.dbcp2.DelegatingResultSet.getUnicodeStream(int)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/apache/commons/dbcp2/DelegatingResultSet.html#getCharacterStream-int-"><code>DelegatingResultSet.getCharacterStream(int)</code></a></span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/DelegatingResultSet.html#getUnicodeStream-java.lang.String-">org.apache.commons.dbcp2.DelegatingResultSet.getUnicodeStream(String)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/apache/commons/dbcp2/DelegatingResultSet.html#getCharacterStream-java.lang.String-"><code>DelegatingResultSet.getCharacterStream(String)</code></a></span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/managed/DataSourceXAConnectionFactory.html#getUsername--">org.apache.commons.dbcp2.managed.DataSourceXAConnectionFactory.getUsername()</a>
<div class="block"><span class="deprecationComment">Use <a href="org/apache/commons/dbcp2/managed/DataSourceXAConnectionFactory.html#getUserName--"><code>DataSourceXAConnectionFactory.getUserName()</code></a>.</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/PoolableConnectionFactory.html#isEnableAutoCommitOnReturn--">org.apache.commons.dbcp2.PoolableConnectionFactory.isEnableAutoCommitOnReturn()</a>
<div class="block"><span class="deprecationComment">Use <a href="org/apache/commons/dbcp2/PoolableConnectionFactory.html#isAutoCommitOnReturn--"><code>PoolableConnectionFactory.isAutoCommitOnReturn()</code></a>.</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/BasicDataSource.html#setEnableAutoCommitOnReturn-boolean-">org.apache.commons.dbcp2.BasicDataSource.setEnableAutoCommitOnReturn(boolean)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/apache/commons/dbcp2/BasicDataSource.html#setAutoCommitOnReturn-boolean-"><code>BasicDataSource.setAutoCommitOnReturn(boolean)</code></a>.</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/PoolableConnectionFactory.html#setEnableAutoCommitOnReturn-boolean-">org.apache.commons.dbcp2.PoolableConnectionFactory.setEnableAutoCommitOnReturn(boolean)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/apache/commons/dbcp2/PoolableConnectionFactory.html#setAutoCommitOnReturn-boolean-"><code>PoolableConnectionFactory.setAutoCommitOnReturn(boolean)</code></a>.</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/PoolableConnectionFactory.html#setMaxOpenPrepatedStatements-int-">org.apache.commons.dbcp2.PoolableConnectionFactory.setMaxOpenPrepatedStatements(int)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/apache/commons/dbcp2/PoolableConnectionFactory.html#setMaxOpenPreparedStatements-int-"><code>PoolableConnectionFactory.setMaxOpenPreparedStatements(int)</code></a>.</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setUnicodeStream-int-java.io.InputStream-int-">org.apache.commons.dbcp2.DelegatingPreparedStatement.setUnicodeStream(int, InputStream, int)</a>
<div class="block"><span class="deprecationComment">Use setAsciiStream(), setCharacterStream() or setNCharacterStream()</span></div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="constructor">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<table class="deprecatedSummary" border="0" cellpadding="3" cellspacing="0" summary="Deprecated Constructors table, listing deprecated constructors, and an explanation">
<caption><span>Deprecated Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-">org.apache.commons.dbcp2.PStmtKey(String)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-"><code>PStmtKey.PStmtKey(String, String, String)</code></a>.</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-int-int-">org.apache.commons.dbcp2.PStmtKey(String, int, int)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-"><code>PStmtKey.PStmtKey(String, String, String, int, int)</code></a>.</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-">org.apache.commons.dbcp2.PStmtKey(String, String)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-"><code>PStmtKey.PStmtKey(String, String, String)</code></a>.</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-int-">org.apache.commons.dbcp2.PStmtKey(String, String, int)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-"><code>PStmtKey.PStmtKey(String, String, String, int)</code></a>.</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-int:A-">org.apache.commons.dbcp2.PStmtKey(String, String, int[])</a>
<div class="block"><span class="deprecationComment">Use <a href="org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int:A-"><code>PStmtKey.PStmtKey(String, String, String, int[])</code></a>.</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-int-int-">org.apache.commons.dbcp2.PStmtKey(String, String, int, int)</a>
<div class="block"><span class="deprecationComment">Use @link <a href="org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-"><code>PStmtKey.PStmtKey(String, String, String, int, int)</code></a>.</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-int-int-int-">org.apache.commons.dbcp2.PStmtKey(String, String, int, int, int)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-int-"><code>PStmtKey.PStmtKey(String, String, String, int, int, int)</code></a>.</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-int-int-int-org.apache.commons.dbcp2.PoolingConnection.StatementType-">org.apache.commons.dbcp2.PStmtKey(String, String, int, int, int, PoolingConnection.StatementType)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-int-org.apache.commons.dbcp2.PoolingConnection.StatementType-"><code>PStmtKey.PStmtKey(String, String, String, int, int, int, PoolingConnection.StatementType)</code></a></span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-int-int-org.apache.commons.dbcp2.PoolingConnection.StatementType-">org.apache.commons.dbcp2.PStmtKey(String, String, int, int, PoolingConnection.StatementType)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-org.apache.commons.dbcp2.PoolingConnection.StatementType-"><code>PStmtKey.PStmtKey(String, String, String, int, int, PoolingConnection.StatementType)</code></a>.</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-org.apache.commons.dbcp2.PoolingConnection.StatementType-">org.apache.commons.dbcp2.PStmtKey(String, String, PoolingConnection.StatementType)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-org.apache.commons.dbcp2.PoolingConnection.StatementType-"><code>PStmtKey.PStmtKey(String, String, String, PoolingConnection.StatementType)</code></a>.</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-org.apache.commons.dbcp2.PoolingConnection.StatementType-java.lang.Integer-">org.apache.commons.dbcp2.PStmtKey(String, String, PoolingConnection.StatementType, Integer)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-org.apache.commons.dbcp2.PoolingConnection.StatementType-java.lang.Integer-"><code>PStmtKey.PStmtKey(String, String, String, PoolingConnection.StatementType, Integer)</code></a></span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String:A-">org.apache.commons.dbcp2.PStmtKey(String, String, String[])</a>
<div class="block"><span class="deprecationComment">Use <a href="org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-java.lang.String:A-"><code>PStmtKey.PStmtKey(String, String, String, String[])</code></a>.</span></div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li class="navBarCell1Rev">Deprecated</li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?deprecated-list.html" target="_top">Frames</a></li>
<li><a href="deprecated-list.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2020 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
